Task
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST |
List all task activity
Task lifecycle rows collapse per task. Comment notifications remain separate. Results are most-recent first and restricted to tasks the requester can see.
Required API key scopes
task:readQuery parameters
- beforestring
- before_idstring
- limitintegerDefault:
100
Response
Example request
GET /api /projects /:project_id /task_activityExample response
Status 200 Tasks, most-recent activity first
RESPONSE
Create task activity mark read
Clear collapsed task activity through task timestamps and individual comment activity through activity IDs.
Required API key scopes
task:writeRequest parameters
- activitiesarray
Response
Example request
POST /api /projects /:project_id /task_activity /mark_readExample response
Status 200 Remaining unread total
RESPONSE